


textures/spazz_toys/skybox
{
	
	qer_editorimage env/spazz_toys/cloudtop_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	// intensity, degrees, elevation
	q3map_sunExt 0.5 0.78 1.0 700 180 35 2 32			//adds deviance and samples
	q3map_lightimage textures/spazz_toys/skylightimage.jpg
	q3map_lightmapFilterRadius 0 32
	q3map_skylight 400 3
	
	skyparms env/spazz_toys/cloudtop 1024 -


}


textures/spazz_toys/fountain3
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	{
	map textures/spazz_toys/fountain3.tga
	tcmod scale 1 12
	tcmod scroll 0.1 -2
	alphagen wave sin 0.6 0.1 0.5 0.1
	rgbgen vertex
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
{
	map textures/spazz_toys/fountain3.tga
	tcmod scale 1 6
	tcmod scroll 0.1 -1
	alphagen wave sin 0.6 0.1 0.1 0.1
	rgbgen vertex
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}




	{
         map textures/spazz_toys/waterreflect.jpg
		rgbgen vertex
	 tcgen environment
		blendfunc add

	}



}

textures/spazz_toys/spazzfog
{
	surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	fogparms ( 0.2 0.2 0.2 ) 512
	qer_trans 0.40
	{
		map textures/spazz_toys/spazzfog.jpg
		blendfunc GL_DST_COLOR GL_ONE
		tcMod turb 0.5 0.5 0.5 .1
		//tcMod scroll 1 0.5
	}
}

textures/spazz_toys/spazzscreen
{
	//with thanks to radioactiveman on urbanterror.net
	qer_editorimage textures/common/qer_portal.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/spazz_toys/camera.jpg
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		//blendFunc add
		depthWrite
//		alphaGen portal 2048
		alphaGen portal 512
    }
}


textures/spazz_toys/puddle
{
	qer_trans 0.40
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
//	surfaceparm nolightmap
qer_editorimage textures/spazz_toys/puddle.tga

	{
         map textures/spazz_toys/shine2.jpg
	   tcgen environment
	blendFunc add

	}

	{
         map textures/spazz_toys/puddle.tga
	blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

	}
{
	//	depthfunc equal
		map $lightmap
		blendfunc filter
	}


}





textures/spazz_toys/metal
{
surfaceparm nonsolid
q3map_forceMeta 

{
map textures/spazz_toys/metal.jpg
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
}

} 

textures/spazz_toys/treadplate2
{
surfaceparm nodamage
{
map textures/spazz_toys/treadplate2.jpg
rgbgen vertex
}


} 


textures/spazz_toys/dalek
{
//q3map_forceMeta 
surfaceparm nolightmap
{
map textures/spazz_toys/dalek.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendfunc add
}

} 

textures/spazz_toys/dalekred
{
//q3map_forceMeta 
surfaceparm nolightmap
{
map textures/spazz_toys/dalekred.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendfunc add
}

} 


textures/spazz_toys/dalekgold
{
q3map_ClipModel
//q3map_forceMeta 
surfaceparm nolightmap
{
map textures/spazz_toys/dalekgold.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendfunc add
}

} 


textures/spazz_toys/dalekblue
{
//q3map_forceMeta 
surfaceparm nolightmap
{
map textures/spazz_toys/dalekblue.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendfunc add
}

} 



textures/spazz_toys/dalekmetal
{
//q3map_forceMeta 
qer_editorimage textures/spazz_toys/dalekmetal.jpg
surfaceparm nonsolid
surfaceparm nolightmap
{
map textures/spazz_toys/dalekmetal.jpg
rgbgen vertex
}

  {
      map textures/spazz_toys/shine2.jpg
 	tcgen environment
      blendFunc add
  }

} 

textures/spazz_toys/soliddalekmetal
{
qer_editorimage textures/spazz_toys/dalekmetal.jpg
q3map_clipModel
surfaceparm nolightmap

{
map textures/spazz_toys/dalekmetal.jpg
rgbgen vertex
}

  {
      map textures/spazz_toys/shine.jpg
 	tcgen environment
      blendFunc add
  }

} 


textures/spazz_toys/dalekballs
{
q3map_forceMeta 
qer_editorimage textures/spazz_toys/dalekmetal.jpg
surfaceparm nonsolid
surfaceparm nolightmap
{
map textures/spazz_toys/dalekmetal.jpg
rgbgen vertex
}

  {
      map textures/spazz_toys/shine2.jpg
 	tcgen environment
      blendFunc add
  }

} 


textures/spazz_toys/k9eye
{
surfaceparm nolightmap
q3map_surfacelight 700

{
map textures/spazz_toys/k9eye.jpg
	//wave <func> <base> <amp> <phase> <freq>
	rgbGen wave sin 0.7 0.3 0 0.5

}
} 




// church
textures/spazz_toys/hour_hand
{
	surfaceparm nolightmap

	cull none
          {
            map textures/spazz_toys/hour_hand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA  	
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO


}
}


textures/spazz_toys/minute_hand
{
	surfaceparm nolightmap


	cull none
          {
            map textures/spazz_toys/minute_hand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA  	
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spazz_toys/clock_face2
{
	surfaceparm nolightmap
	surfaceparm trans

          {
            map textures/spazz_toys/clock_face2.tga
		alphaFunc GE128
          }
}


textures/spazz_toys/dalekeyes
{
surfaceparm nolightmap
q3map_surfacelight 1700
{
map textures/spazz_toys/dalekeyes.jpg
	//wave <func> <base> <amp> <phase> <freq>
	rgbGen wave sin 0.7 0.3 0 0.5
blendfunc add
}
} 

textures/spazz_toys/dalekglass
{

	qer_trans 0.40

qer_editorimage textures/spazz_toys/glass.jpg
surfaceparm trans
surfaceparm nolightmap
cull none

{
map textures/spazz_toys/glass.jpg
blendfunc filter
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 


textures/spazz_toys/cabinetglass
{

	qer_trans 0.40

qer_editorimage textures/spazz_toys/glass.jpg
surfaceparm trans
surfaceparm nolightmap

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 


textures/spazz_toys/cabinetglassinside
{

	qer_trans 0.40

qer_editorimage textures/spazz_toys/glass.jpg
surfaceparm trans
surfaceparm nolightmap

{
map textures/spazz_toys/glass2.jpg
blendfunc filter
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 





textures/spazz_toys/k9controls2
{

qer_editorimage textures/spazz_toys/k9controls2.jpg



surfaceparm nolightmap
surfaceparm nomarks
surfaceparm trans       
q3map_surfacelight 500
//cull none
{
animmap 2 textures/spazz_toys/k9controls2.jpg textures/spazz_toys/k9controls2b.jpg textures/spazz_toys/k9controls2c.jpg textures/spazz_toys/k9controls2d.jpg
    //rgbGen wave Inversesawtooth 0.3 0.9 0 5
   // blendfunc add
}

}



textures/spazz_toys/r2d2head
{
surfaceparm nolightmap
{
map textures/spazz_toys/r2d2head.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
//blendfunc add
blendFunc GL_DST_COLOR GL_ONE
}

} 


textures/spazz_toys/r2d2head2
{
surfaceparm nolightmap
{
map textures/spazz_toys/r2d2head2.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendFunc GL_DST_COLOR GL_ONE
}

} 

textures/spazz_toys/r2d2head3
{
surfaceparm nolightmap
{
map textures/spazz_toys/r2d2head3.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendFunc GL_DST_COLOR GL_ONE
}

} 
textures/spazz_toys/r2d2blue2
{
surfaceparm nolightmap
{
map textures/spazz_toys/r2d2blue2.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendFunc GL_DST_COLOR GL_ONE
}

} 



// ** TRAIN

textures/spazz_toys/window
{
qer_editorimage textures/spazz_toys/window.tga
surfaceparm nolightmap

{
		map textures/spazz_toys/frosted.jpg
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc add
  }
} 

textures/spazz_toys/window_door
{
qer_editorimage textures/spazz_toys/window_door.tga
{
		map textures/spazz_toys/window_door.tga
		rgbGen vertex
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
} 


textures/spazz_toys/wheel_rim
{
qer_editorimage textures/spazz_toys/metal.jpg
q3map_forceMeta 
{
map textures/spazz_toys/metal.jpg
rgbgen vertex
}
} 

textures/spazz_toys/orange
{
q3map_forceMeta 
{
map textures/spazz_toys/orange.jpg
rgbgen vertex
}
} 
textures/spazz_toys/56_yellow
{
//q3map_forceMeta 
{
map textures/spazz_toys/56_yellow.jpg
rgbgen vertex
}
} 

textures/spazz_toys/56_class
{
//q3map_forceMeta 
{
map textures/spazz_toys/56_class.jpg
rgbgen vertex
}
} 


textures/spazz_toys/white_decal
{
q3map_vertexScale 2.5
//q3map_forceMeta 
	//decal
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset	
qer_editorimage textures/spazz_toys/white.jpg

{
	map textures/spazz_toys/white.jpg
	rgbgen vertex
}

}


textures/spazz_toys/yellow_decal
{
//q3map_forceMeta 
	//decal
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset	
qer_editorimage textures/spazz_toys/yellow.jpg

{
	map textures/spazz_toys/yellow.jpg
//	alphaFunc GE128
	rgbGen vertex
//	depthwrite
}

//{
//		depthfunc equal
//		map $lightmap
//		blendfunc filter
//	}
}

textures/spazz_toys/carriage_blue_metal
{
//q3map_forceMeta 
{
map textures/spazz_toys/carriage_blue_metal.jpg
rgbGen vertex
//tcMod scroll 5 0

}
//{
//    map textures/spazz_toys/shine2.jpg
//      tcgen environment
//	   blendFunc add
//   }



}

textures/spazz_toys/carriage_blue_metal_track
{
qer_editorimage textures/spazz_toys/carriage_blue_metal.jpg
//q3map_forceMeta 
{
map textures/spazz_toys/carriage_blue_metal.jpg
rgbGen vertex

}
//{
//    map textures/spazz_toys/shine2.jpg
//tcgen environment
//  	blendfunc add
//   }
}

textures/spazz_toys/window_outfacing
{
qer_editorimage textures/spazz_toys/window.tga
{
		map textures/spazz_toys/frosted.jpg
}


  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc add
  }
} 

textures/spazz_toys/window_door_opaque
{
qer_editorimage textures/spazz_toys/window_door.tga
{
		map textures/spazz_toys/window_door.tga
		rgbGen vertex
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
} 



textures/spazz_toys/window2
{
qer_editorimage textures/spazz_toys/window2.tga
  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
		map textures/spazz_toys/frosted.jpg
}

{
		map textures/spazz_toys/window2.tga
		alphaFunc GE128
		rgbGen vertex
}

} 
textures/spazz_toys/wheel_grey_noclip
{
qer_editorimage textures/spazz_toys/wheel_grey.jpg
cull none
surfaceparm nolightmap
{
map textures/spazz_toys/wheel_grey.jpg
rgbGen vertex
}

 }



textures/spazz_toys/metal2
{
//q3map_forceMeta 
qer_editorimage textures/spazz_toys/metal.jpg

{
map textures/spazz_toys/metal.jpg
}


{
map $lightmap
blendfunc gl_dst_color gl_zero
}
} 

textures/spazz_toys/yellow_tracks
{
//q3map_forceMeta 
qer_editorimage textures/spazz_toys/yellow.jpg


{
		map textures/spazz_toys/yellow.jpg
	rgbgen vertex
}
{
    map textures/spazz_toys/shine2.jpg
      tcgen environment
	  	blendfunc add
   }


  
} 



textures/spazz_toys/shiny_glass
{
 qer_editorimage textures/spazz_toys/shine.jpg

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc add
  }


} 



textures/spazz_toys/headlight_corona //shader from crossing :P
{
  //  deformVertexes autoSprite //its 'most inportant"
qer_trans 0.40

   qer_editorimage textures/spazz_toys/headlight_corona.tga
 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 50	// check

    cull none
          {
          map textures/spazz_toys/headlight_corona.tga
          blendFunc add
          }
}

textures/spazz_toys/yellow_roof
{
//q3map_forcemeta
	q3map_nonplanar
	q3map_shadeangle 120
qer_editorimage textures/spazz_toys/yellow.jpg
q3map_vertexScale 2.5

{
		map textures/spazz_toys/yellow.jpg
	rgbgen vertex
}
{
    map textures/spazz_toys/shine2.jpg
      tcgen environment
	  	blendfunc add

   }


  
} 


textures/spazz_toys/yellow
{
q3map_vertexScale 2.5
{
	map textures/spazz_toys/yellow.jpg
	rgbgen vertex
}
 
} 



textures/spazz_toys/roof
{
//q3map_forcemeta
{
		map textures/spazz_toys/roof.jpg
	rgbgen vertex
}
} 





textures/spazz_toys/engine_metal_track
{
qer_editorimage textures/spazz_toys/engine_metal_track.jpg
//q3map_forcemeta
{
map textures/spazz_toys/engine_metal_track.jpg
rgbGen vertex
//tcMod scroll 5 0

}



}


textures/spazz_toys/tree
{
	surfaceparm nolightmap
	q3map_shadeangle 120

{
	map textures/spazz_toys/tree.jpg
	rgbgen vertex
}

}
textures/spazz_toys/signal
{
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm nolightmap
cull none
{
	map textures/spazz_toys/signal.tga
	rgbgen vertex
	blendfunc blend
}

}

textures/spazz_toys/leaves
{
q3map_backShader  textures/spazz_toys/leaves_back
//	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm alphashadow
	surfaceparm trans
//	nopicmip
	surfaceparm nonsolid
//	cull none
	qer_trans 0.40

	qer_editorimage textures/spazz_toys/leaves.tga
	{
		map textures/spazz_toys/leaves.tga
		alphaFunc GE128
		rgbGen vertex
	}


}
textures/spazz_toys/leaves_back
{
//	deformVertexes wave 256 sin 0 2 15 0.1
	surfaceparm alphashadow
	surfaceparm trans
//	nopicmip
	surfaceparm nonsolid
//	cull none
	qer_trans 0.40

	qer_editorimage textures/spazz_toys/leaves.tga
	{
		map textures/spazz_toys/leaves.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 0.4 0.4 0.4 )
	}


}


textures/spazz_toys/windscreen
{
qer_editorimage textures/spazz_toys/windscreen.tga
q3map_forcemeta

{
		map textures/spazz_toys/windscreen.tga
		rgbGen vertex
}

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
} 



textures/spazz_toys/driver_door
{
q3map_forcemeta
qer_editorimage textures/spazz_toys/driver_door.tga
{
		map textures/spazz_toys/driver_door.tga
//		alphaFunc GE128
		rgbGen vertex
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
} 

textures/spazz_toys/window_mask_back
{
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
//surfaceparm nodrop
}



textures/spazz_toys/shiny_metal
{
{
map textures/spazz_toys/metal.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }

} 

textures/spazz_toys/shiny_metal_decal
{
qer_editorimage textures/spazz_toys/metal.jpg
surfaceparm nolightmap
polygonOffset
{
map textures/spazz_toys/metal.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }

} 







textures/spazz_toys/torch_inside
{
qer_editorimage textures/spazz_toys/metal.jpg
{
map textures/spazz_toys/metal.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }

} 



textures/spazz_toys/torch_outside
{
qer_editorimage textures/spazz_toys/boxinside.jpg
{
map textures/spazz_toys/boxinside.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc add
  }

} 


textures/spazz_toys/shiny_glass_no_lightmap
{

	qer_trans 0.40

surfaceparm trans
surfaceparm nolightmap
{
map textures/spazz_toys/glass.jpg
}

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 

textures/spazz_toys/bulb
{
//cull none
sort 12
qer_trans 0.20
qer_editorimage textures/spazz_toys/glass.jpg

surfaceparm trans
surfaceparm nolightmap
//{
//map textures/spazz_toys/glass.jpg
//blendfunc add
//}

  {
          map textures/spazz_toys/shine5.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 

textures/spazz_toys/torchglass
{
cull none
qer_trans 0.20
qer_editorimage textures/spazz_toys/glass.jpg

surfaceparm trans
surfaceparm nolightmap
//{
//map textures/spazz_toys/glass.jpg
//blendfunc add
//}

  {
          map textures/spazz_toys/shine5.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 

textures/spazz_toys/ceilinglight2
{
surfaceparm nolightmap	
q3map_lightimage textures/spazz_toys/yellow.jpg
q3map_surfacelight 650	

qer_editorimage textures/spazz_toys/ceilinglight.jpg
{
map textures/spazz_toys/ceilinglight.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine5.jpg
//          map textures/spazz_toys/shine2.jpg
          tcgen environment
 		blendfunc GL_DST_COLOR GL_ONE
//         blendFunc GL_ONE GL_ONE
  }


} 




textures/spazz_toys/ceilinglight
{
surfaceparm nolightmap	
q3map_backShader  textures/spazz_toys/ceilinglight2
{
map textures/spazz_toys/ceilinglight.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 
textures/spazz_toys/lampshadow
{
surfaceparm nolightmap	
surfaceparm nonsolid
surfaceparm noimpact

{
map textures/spazz_toys/lampshadow.jpg
//rgbgen vertex
blendfunc filter
}
} 


textures/spazz_toys/white_headlight
{
q3map_forcemeta
qer_editorimage textures/spazz_toys/white.jpg

	surfaceparm nolightmap
	q3map_surfacelight 2150	

{
map textures/spazz_toys/white.jpg
}


{
map $lightmap
blendfunc gl_dst_color gl_zero
}
} 

textures/spazz_toys/invisible_ladder
{
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
surfaceparm ladder
surfaceparm nodamage
}



textures/spazz_toys/filament
{
q3map_forceMeta
cull none
deformVertexes autoSprite2
surfaceparm nolightmap
//q3map_surfacelight 2150	
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm trans       

{
map textures/spazz_toys/filament.tga
blendfunc blend
}

} 



textures/spazz_toys/red_headlight
{
q3map_forcemeta
	surfaceparm nolightmap
	q3map_surfacelight 150	

{
map textures/spazz_toys/red_headlight.jpg
}


{
map $lightmap
blendfunc gl_dst_color gl_zero
}
} 



textures/spazz_toys/wood
{

{
		map textures/spazz_toys/wood.jpg
}

//{
 //   map textures/spazz_toys/shine2.jpg
//	tcgen environment
//	blendFunc add
//   }



{
map $lightmap

blendfunc gl_dst_color gl_zero
}

  
} 





textures/spazz_toys/door
{
qer_editorimage textures/spazz_toys/white.jpg

{
	map textures/spazz_toys/white.jpg
}
{
	map textures/spazz_toys/shine2.jpg
	tcgen environment
	blendfunc add
}

{
		map $lightmap
		blendfunc filter
	}
}

textures/spazz_toys/woodwork_slidey
{
qer_editorimage textures/spazz_toys/white.jpg
surfaceparm slick
surfaceparm nodamage
{
	map textures/spazz_toys/white.jpg
}
{
	map textures/spazz_toys/shine2.jpg
	tcgen environment
	blendfunc add
}

{
		map $lightmap
		blendfunc filter
	}
}


textures/spazz_toys/door_glass
{
 qer_editorimage textures/spazz_toys/shine2.jpg
surfaceparm trans
q3map_backShader  textures/spazz_toys/windowback
qer_trans 0.3
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }


} 


textures/spazz_toys/door_glass2
{
 qer_editorimage textures/spazz_toys/frostedseamless.jpg
surfaceparm trans
qer_trans 0.3

  {
          map textures/spazz_toys/frostedseamless.jpg
	rgbgen vertex
		blendfunc add
  }
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }
} 



textures/spazz_toys/windowback
{
 qer_editorimage textures/spazz_toys/shine2.jpg
surfaceparm trans

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }


} 


textures/spazz_toys/trainbox2
{
qer_trans 0.5
surfaceparm trans
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
		map textures/spazz_toys/trainbox2.tga
		alphaFunc GE128
}
{
		depthfunc equal
		map $lightmap
		blendfunc filter
}

} 
textures/spazz_toys/chain
{
	cull none
 	deformVertexes autoSprite2 //its 'most inportant"
	surfaceparm trans
	surfaceparm ladder
	nopicmip
{
	map textures/spazz_toys/chain.tga
	alphaFunc GE128
	rgbGen vertex
}

}



textures/spazz_toys/trainbox3
{
qer_trans 0.5
surfaceparm trans
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }

{
		map textures/spazz_toys/trainbox3.tga
		alphaFunc GE128
}
{
		depthfunc equal
		map $lightmap
		blendfunc filter
}

} 





textures/spazz_toys/trainbox
{
qer_trans 0.5
surfaceparm trans

  {
            map textures/spazz_toys/shine2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
		map textures/spazz_toys/trainbox.tga
		alphaFunc GE128
}
{
		depthfunc equal
		map $lightmap
		blendfunc filter
}

} 


textures/spazz_toys/trainbox_b
{

surfaceparm trans
qer_editorimage textures/spazz_toys/trainbox.tga

  {
            map textures/spazz_toys/shine2.jpg

          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
		map textures/spazz_toys/trainbox.tga
}
{
		map $lightmap
		blendfunc filter
}

} 



textures/spazz_toys/trainboxside
{
surfaceparm trans

{
		map textures/spazz_toys/trainboxside.jpg
		alphaFunc GE128
//		rgbGen vertex
}
{
		map $lightmap
		blendfunc filter
}

} 

textures/spazz_toys/trainboxsidesolid
{
qer_editorimage textures/spazz_toys/trainboxside.jpg

{
		map textures/spazz_toys/trainboxside.jpg
		alphaFunc GE128
//		rgbGen vertex
}
{
		map $lightmap
		blendfunc filter
}

} 

textures/spazz_toys/trainboxside2
{
surfaceparm trans

{
		map textures/spazz_toys/trainboxside2.jpg
//		rgbGen vertex
}
{
		map $lightmap
		blendfunc filter
}

} 


textures/spazz_toys/trainboxside3
{
surfaceparm trans

{
		map textures/spazz_toys/trainboxside3.jpg
//		rgbGen vertex
}
{
		map $lightmap
		blendfunc filter
}

} 


textures/spazz_toys/greenwoodwork
{

{
		map textures/spazz_toys/greenwoodwork.jpg
}
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }
{
		map $lightmap
		blendfunc filter
}

} 

textures/spazz_toys/black
{
surfaceparm nolightmap

{
		map textures/spazz_toys/black.jpg
}

} 



textures/spazz_toys/black_nonsolid
{
surfaceparm nolightmap
surfaceparm nonsolid

{
		map textures/spazz_toys/black.jpg
}

} 

textures/spazz_toys/black_nonsolid_trans
{
surfaceparm trans
surfaceparm nolightmap
surfaceparm nonsolid
qer_editorimage textures/spazz_toys/black.jpg
{
		map textures/spazz_toys/black.jpg
}

} 



textures/spazz_toys/window_mask3
{
q3map_surfacelight 400
sort 11
      {
            map textures/spazz_toys/window_mask3.tga
		alphaFunc GE128
		rgbGen vertex

		}
}



textures/spazz_toys/window_mask2
{

surfaceparm nomarks
surfaceparm trans       
	nopicmip
q3map_surfacelight 400
sort 11
qer_editorimage textures/spazz_toys/window_mask.tga
          {
            map textures/spazz_toys/window_mask.tga
		alphaFunc GE128
		rgbGen vertex
		}


          {
            map textures/spazz_toys/stain_glass2.tga
		blendFunc GL_ONE GL_ONE
		//rgbGen vertex
		
	}

}

textures/spazz_toys/window_mask
{

sort 11
q3map_surfacelight 400
	qer_lightimage textures/spazz_toys/stain_glass.tga
	qer_editorimage textures/spazz_toys/window_mask.tga
	surfaceparm nomarks
	surfaceparm trans       
	nopicmip
	surfaceparm nolightmap
	    {
            map textures/spazz_toys/window_mask.tga
		alphaFunc GE128
		rgbGen vertex
		}


          {
            map textures/spazz_toys/stain_glass.tga
		blendFunc GL_ONE GL_ONE
		}



}

textures/spazz_toys/brick3
{
	q3map_forcemeta
      {
            map textures/spazz_toys/brick3.jpg
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spazz_toys/castle
{
	q3map_forcemeta
      {
            map textures/spazz_toys/castle.jpg
//		rgbgen vertex
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}



textures/spazz_toys/r2d2light
{
surfaceparm nolightmap
q3map_surfacelight 700
{
map textures/spazz_toys/r2d2light.jpg
	//wave <func> <base> <amp> <phase> <freq>
	rgbGen wave square 0.0 1.0 0 0.6
//blendfunc add
}
} 

textures/spazz_toys/corona 
{

qer_editorimage textures/spazz_toys/corona.jpg
qer_trans 0.40

   
 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 50	// check

    cull none
          {
            clampmap textures/spazz_toys/corona.jpg
            blendFunc GL_ONE GL_ONE
          }
}


// bmw

textures/spazz_toys/bmw
{
qer_editorimage textures/spazz_toys/bmw.jpg
surfaceparm nodamage
surfaceparm nolightmap
{
map textures/spazz_toys/bmw.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine4.jpg
tcgen environment
blendFunc add
}
}

textures/spazz_toys/yellowbmw
{
qer_editorimage textures/spazz_toys/yellowbmw.jpg
surfaceparm nodamage
surfaceparm nolightmap
{
map textures/spazz_toys/yellowbmw.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine4.jpg
tcgen environment
blendFunc add
}
}


textures/spazz_toys/redbmw
{
qer_editorimage textures/spazz_toys/boxinside.jpg
surfaceparm nodamage
surfaceparm nolightmap
{
map textures/spazz_toys/boxinside.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine4.jpg
tcgen environment
blendFunc add
}
}
textures/spazz_toys/greenbmw
{
qer_editorimage textures/spazz_toys/bmwgreen.jpg
surfaceparm nodamage
surfaceparm nolightmap
{
map textures/spazz_toys/bmwgreen.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine4.jpg
tcgen environment
blendFunc add
}
}


textures/spazz_toys/bmw_grill
{
surfaceparm nolightmap
{
map textures/spazz_toys/bmw_grill.jpg
rgbGen vertex
}

}



textures/spazz_toys/bmw_bumper
{
surfaceparm nodamage

{
map textures/spazz_toys/bmw_bumper.jpg
rgbGen vertex
}

}



textures/spazz_toys/rear_light
{
	surfaceparm nolightmap
	q3map_surfacelight 1650
{
map textures/spazz_toys/rear_light.jpg
rgbGen identity

}
}

textures/spazz_toys/bmw_indicator
{
	surfaceparm nolightmap
	q3map_surfacelight 1650
{
map textures/spazz_toys/bmw_indicator.jpg
rgbGen identity
}
}


textures/spazz_toys/car_windows_opaque
{

qer_editorimage textures/spazz_toys/glass.jpg
{
map textures/spazz_toys/black.jpg
rgbgen vertex
}
}

textures/spazz_toys/shiny_metal
{

{
map textures/spazz_toys/shinymetal.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }

} 


textures/spazz_toys/matchbox_front
{
qer_trans 0.5
qer_editorimage textures/spazz_toys/matchbox_front.tga
cull none
surfaceparm trans
surfaceparm alphashadow
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
		map textures/spazz_toys/matchbox_front.tga
		alphaFunc GE128
}
{
		depthfunc equal
		map $lightmap
		blendfunc filter
}

} 











textures/spazz_toys/matchbox_front2
{
surfaceparm alphashadow
surfaceparm trans
qer_trans 0.5
qer_editorimage textures/spazz_toys/matchbox_front2.tga
cull none
  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
		map textures/spazz_toys/matchbox_front2.tga
		alphaFunc GE128
}
{
		depthfunc equal
		map $lightmap
		blendfunc filter
}

} 
textures/spazz_toys/matchbox_front3
{
surfaceparm trans
qer_trans 0.5
qer_editorimage textures/spazz_toys/matchbox_front3.tga
polygonOffset
{
		map textures/spazz_toys/matchbox_front3.tga
		alphaFunc GE128
}
{
		depthfunc equal
		map $lightmap
		blendfunc filter
}

} 


textures/spazz_toys/grass4
{
//	q3map_nonplanar
//	q3map_shadeangle 120

	q3map_nonplanar
	q3map_shadeangle 120
	
	{
		map textures/spazz_toys/grass4.jpg	
		rgbgen vertex
	}
}


textures/spazz_toys/remote_button
{

qer_editorimage textures/spazz_toys/trainboxside.jpg
	{
		map textures/spazz_toys/trainboxside.jpg
		alphaFunc GE128
		rgbGen vertex
}
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
{
		map $lightmap
		blendfunc filter
}

} 



textures/spazz_toys/stair
{
	surfaceparm ladder
	{
		map textures/spazz_toys/stair.jpg
  }
{
		map $lightmap
		blendfunc filter
}

} 


textures/spazz_toys/daleremote
{
      {
            map textures/spazz_toys/daleremote.jpg
		rgbgen vertex
		tcmod scroll 1 0
	}
}
textures/spazz_toys/k9remote
{
      {
            map textures/spazz_toys/k9remote.jpg
		rgbgen vertex
		tcmod scroll 1 0
	}
}

textures/spazz_toys/letterbox
{
      {
            map textures/spazz_toys/letterbox.jpg
	}
      {
            map textures/spazz_toys/shine2.jpg
		blendfunc add
	}
{
		map $lightmap
		blendfunc filter
}
}



textures/spazz_toys/mat
{
surfaceparm nodamage
surfaceparm nonsolid


      {
            map textures/spazz_toys/mat.jpg
	}
{
		map $lightmap
		blendfunc filter
}


}



textures/spazz_toys/cashregister2
{
q3map_forceMeta 
{
map textures/spazz_toys/cashregister2.jpg
}

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}


}

textures/spazz_toys/cashregister7
{
q3map_forceMeta
{
map textures/spazz_toys/cashregister7.jpg
//rgbgen vertex
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}



}



textures/spazz_toys/frosted_glass
{
qer_editorimage textures/spazz_toys/frosted3.jpg
q3map_lightimage textures/spazz_toys/skylightimage.jpg
surfaceparm nonsolid
surfaceparm trans
qer_trans 0.40
q3map_surfacelight 550	
{
		map textures/spazz_toys/frosted3.jpg
		tcMod scale 4 4
		blendfunc add
}


} 
textures/spazz_toys/white_headlight
{
surfaceparm nonsolid
qer_editorimage textures/spazz_toys/white.jpg

	surfaceparm nolightmap
	q3map_surfacelight 1450	

{
map textures/spazz_toys/white.jpg
}

} 
textures/spazz_toys/artex
{

{
map textures/spazz_toys/artex.jpg
}

	{
		map $lightmap
		blendfunc filter
	}

}

textures/spazz_toys/white
{
q3map_forcemeta
q3map_vertexScale 2.5

{
map textures/spazz_toys/white.jpg
rgbgen vertex
}

} 

textures/spazz_toys/loop
{
surfaceparm trans

{
		map textures/spazz_toys/loop.tga
		alphaFunc GE128
		rgbGen vertex
}


} 





textures/spazz_toys/spazz_nodamage
{
	qer_trans 0.10
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
}
textures/spazz_toys/spazz_nodamage_slick_weapclip
{
	qer_trans 0.10
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
//	surfaceparm slick
}

textures/spazz_toys/black_plastic2
{
surfaceparm nonsolid
q3map_forceMeta 

{
map textures/spazz_toys/black_plastic2.jpg
rgbgen vertex
}
//{
//map textures/spazz_toys/shine2.jpg
//tcgen environment
//blendFunc add
//}


} 


//royal mail van

textures/spazz_toys/royal_mail
{

{
map textures/spazz_toys/royal_mail.jpg
rgbGen vertex
}
{
    map textures/spazz_toys/shine.jpg
tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   }



}




textures/spazz_toys/royal_mail_noshine
{
qer_editorimage textures/spazz_toys/royal_mail.jpg
{
map textures/spazz_toys/royal_mail.jpg
rgbGen vertex
}

}





textures/spazz_toys/royal_mail_side
{
surfaceparm ladder

{
map textures/spazz_toys/royal_mail_side.jpg
rgbGen vertex
}
{
    map textures/spazz_toys/shine.jpg
	tcgen environment
	blendfunc GL_DST_COLOR GL_ONE
   }

}


textures/spazz_toys/royal_mail_side2
{

{
map textures/spazz_toys/royal_mail_side2.jpg
rgbGen vertex
}
{
    map textures/spazz_toys/shine.jpg
	tcgen environment
		blendfunc GL_DST_COLOR GL_ONE
   }

}


textures/spazz_toys/car_windows
{
surfaceparm nodamage

	qer_trans 0.40

qer_editorimage textures/spazz_toys/glass2.jpg
surfaceparm trans

{
map textures/spazz_toys/glass2.jpg
blendfunc filter
rgbgen vertex
}

  {
          map textures/spazz_toys/shine.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 



textures/spazz_toys/ladder3
{
//	surfaceparm alphashadow

	cull none
	surfaceparm nonsolid
	surfaceparm trans

{
	map textures/spazz_toys/ladder3.tga
	alphaFunc GE128
	rgbGen vertex
}

}




textures/spazz_toys/sucker
{
cull none
qer_trans 0.20
qer_editorimage textures/spazz_toys/glass.jpg

surfaceparm trans
surfaceparm nolightmap


  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc add
  }


} 
textures/spazz_toys/electrical2
{
q3map_surfacelight 1000
surfaceparm trans
qer_trans 0.40
surfaceparm nonsolid
surfaceparm nolightmap
{
          map textures/spazz_toys/electrical2.jpg
      rgbGen wave sin 0.9 0.3 0 1
    blendfunc add
	tcMod turb 0.1 0.1 0.1 .1
  }


}



textures/spazz_toys/cardboardbox
{
surfaceparm nodamage
{
          map textures/spazz_toys/cardboardbox.jpg
  }
{
		map $lightmap
		blendfunc filter
}

}





textures/spazz_toys/legogreybrick
{
surfaceparm nolightmap
surfaceparm nodamage
{
          map textures/spazz_toys/legogreybrick.jpg
		rgbgen vertex
  }
{
          map textures/spazz_toys/shine2.jpg
		tcgen environment
		blendfunc add
  }
//	{
//		map $lightmap
//		blendfunc filter
//	}
}



textures/spazz_toys/legogrey
{
surfaceparm nolightmap
surfaceparm nodamage
{
          map textures/spazz_toys/legogrey.jpg
		rgbgen vertex
  }
{
          map textures/spazz_toys/shine2.jpg
		tcgen environment
		blendfunc add
  }

}


textures/spazz_toys/black_decal
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	polygonOffset	
qer_editorimage textures/spazz_toys/black.jpg

{
	map textures/spazz_toys/black.jpg
}

}




textures/spazz_toys/fan_blade
{
qer_editorimage textures/spazz_toys/dalekmetal.jpg
//cull none
surfaceparm nodrop
surfaceparm nolightmap
{
map textures/spazz_toys/dalekmetal.jpg
rgbgen vertex
}

  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

} 
textures/spazz_toys/hexagon
{
surfaceparm trans
surfaceparm alphashadow
surfaceparm nonsolid


{
map textures/spazz_toys/hexagon.tga
alphaFunc GE128
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
depthFunc equal
}

}


textures/spazz_toys/spazz_clip
{
	qer_trans 0.10
	qer_nocarve
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
}
textures/spazz_toys/bogie_climb
{
surfaceparm nodamage
surfaceparm ladder
qer_editorimage textures/spazz_toys/bogie.jpg

{
map textures/spazz_toys/bogie.jpg

}

{
map $lightmap
blendfunc gl_dst_color gl_zero
}
} 



textures/spazz_toys/bogie_ns
{
qer_editorimage textures/spazz_toys/bogie.jpg
surfaceparm nonsolid
{
map textures/spazz_toys/bogie.jpg

}

{
map $lightmap
blendfunc gl_dst_color gl_zero
}
} 



textures/spazz_toys/r2d2boxtrans
{
qer_trans 0.5
surfaceparm trans
qer_editorimage textures/spazz_toys/r2d2box2trans.tga
  {
          map textures/spazz_toys/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
		map textures/spazz_toys/r2d2box2trans.tga
		alphaFunc GE128
}
{
		depthfunc equal
		map $lightmap
		blendfunc filter
}

} 



textures/spazz_toys/duct
{
surfaceparm nodamage
{
map textures/spazz_toys/duct.jpg
}

{
map $lightmap
blendfunc filter
}
} 

textures/spazz_toys/ductdamage
{
qer_editorimage textures/spazz_toys/duct.jpg

{
map textures/spazz_toys/duct.jpg
}

{
map $lightmap
blendfunc filter
}
} 



textures/spazz_toys/mug
{
qer_editorimage textures/spazz_toys/mug.jpg
surfaceparm nolightmap

{
map textures/spazz_toys/mug.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine.jpg
tcgen environment
blendfunc add

}

{
map $lightmap
blendfunc filter
}
} 


textures/spazz_toys/mug2
{
qer_editorimage textures/spazz_toys/black.jpg
surfaceparm nolightmap
{
map textures/spazz_toys/black.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine.jpg
tcgen environment
blendfunc add

}
} 

textures/spazz_toys/k92logo
{

{
map textures/spazz_toys/k92logo.jpg
rgbgen vertex
}

} 



textures/spazz_toys/vent_ns
{
qer_editorimage textures/spazz_toys/vent.jpg

surfaceparm nonsolid
surfaceparm trans
//q3map_backShader  textures/spazz_toys/vent_back

{
map textures/spazz_toys/vent.jpg
}

{
map $lightmap
blendfunc filter
}
} 
textures/spazz_toys/vent_back
{
qer_editorimage textures/spazz_toys/vent.jpg

surfaceparm nonsolid
surfaceparm trans

{
map textures/spazz_toys/vent.jpg
}

{
map $lightmap
blendfunc filter
}
} 




textures/spazz_toys/corona2 {
    deformVertexes autoSprite //its 'most inportant"
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 750	
    cull none
          {
            clampmap textures/spazz_toys/corona2.jpg
            blendFunc GL_ONE GL_ONE
//		rgbGen wave sin 0.9 0.2 0 3
          }
}



textures/spazz_toys/flame1
{
qer_editorimage textures/spazz_toys/flame1b.tga
deformVertexes autoSprite2
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm trans       
q3map_surfacelight 800
cull none
{
	animMap 10 textures/spazz_toys/flame1b.tga textures/spazz_toys/flame2b.tga textures/spazz_toys/flame3b.tga  textures/spazz_toys/flame2b.tga 
	blendfunc add
	rgbGen wave sin 0.9 0.2 0 3
}

}



textures/spazz_toys/mousehole_ns
{
qer_editorimage textures/spazz_toys/mousehole.tga
	surfaceparm nomarks
	polygonOffset	
surfaceparm trans
surfaceparm nonsolid
{
map textures/spazz_toys/mousehole.tga
//blendfunc blend
	alphaFunc GE128

}

{
map $lightmap
depthfunc equal
blendfunc filter
}
} 

textures/spazz_toys/vent3
{
surfaceparm nomarks
surfaceparm trans
surfaceparm nonsolid
{
map textures/spazz_toys/vent3.jpg
}

{
map $lightmap
blendfunc filter
}
}

 
textures/spazz_toys/socket
{
qer_editorimage textures/spazz_toys/socket.jpg
surfaceparm nomarks
surfaceparm nonsolid
{
map textures/spazz_toys/socket.jpg
}

{
map $lightmap
blendfunc filter
}
} 

textures/spazz_toys/canon
{
surfaceparm nolightmap
qer_editorimage textures/spazz_toys/canon.jpg
{
map textures/spazz_toys/canon.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine.jpg
tcgen environment
blendfunc add

}
}
 
textures/spazz_toys/spazzhopper
{
surfaceparm nodamage
q3map_clipModel
{
map textures/spazz_toys/spazzhopper.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine.jpg
tcgen environment
blendfunc add

}
}
 

textures/spazz_toys/dalekgrillsolid
{
qer_editorimage textures/spazz_toys/dalekgrill.jpg
q3map_clipModel
{
map textures/spazz_toys/dalekgrill.jpg
rgbgen vertex
}
}
 


textures/spazz_toys/spazzhopper2
{

	qer_editorimage textures/spazz_toys/spazzhopper.jpg
	//wave <div> <func> <base> <amplitude> <phase> <freq>
	deformVertexes wave 2048 sin 0 2 0 1
	{
	map textures/spazz_toys/spazzhopper.jpg
	rgbgen vertex
	}
{
map textures/spazz_toys/shine.jpg
tcgen environment
blendfunc add

}

}

 
textures/spazz_toys/horn
{
{
map textures/spazz_toys/horn.jpg
rgbgen vertex
}

}
 

textures/spazz_toys/wood2_ns
{
qer_editorimage textures/spazz_toys/wood2.jpg
surfaceparm nomarks
surfaceparm nonsolid
{
map textures/spazz_toys/wood2.jpg
}

{
map $lightmap
blendfunc filter
}
} 

textures/spazz_toys/plywood_nodamage
{
qer_editorimage textures/spazz_toys/plywood.jpg
surfaceparm nodamage
{
map textures/spazz_toys/plywood.jpg
}

{
map $lightmap
blendfunc filter
}
} 

textures/spazz_toys/magnet2
{
surfaceparm nolightmap
{
map textures/spazz_toys/magnet2.jpg
rgbgen vertex
}
{
map textures/spazz_toys/shine2.jpg
tcgen environment
blendfunc add
}

} 
textures/spazz_toys/esb
{
surfaceparm nonsolid
surfaceparm trans
polygonOffset
	
{
map textures/spazz_toys/esb.jpg
}
{
map $lightmap
blendfunc filter
}

} 

textures/spazz_toys/brick_high_ns
{
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans

qer_editorimage textures/spazz_toys/brick_high.jpg
	
{
map textures/spazz_toys/brick_high.jpg
rgbgen vertex
}
} 

textures/spazz_toys/water
{
//	surfaceparm water
//	surfaceparm fog
//	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nolightmap
//	fogparms ( .1 .1 .1 ) 1024
surfaceparm nodamage
	qer_editorimage textures/spazz_toys/water.jpg
	  
	
//	{
//		map textures/spazz_toys/water.jpg
//
//	}
	{
        map textures/spazz_toys/shine_bright.jpg
//		rgbGen wave sin 0.2 0.1 0 0.05

         tcgen environment
//	  	blendfunc add  //GL_DST_COLOR GL_ONE

	}
{
		map $lightmap
		blendfunc filter
}


}


textures/spazz_toys/waterreal
{
	surfaceparm water
	surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	fogparms ( .1 .1 .1 ) 1024
	qer_editorimage textures/spazz_toys/water.jpg
	  
	
	{
		map textures/spazz_toys/water.jpg

	}
	{
        map textures/spazz_toys/shine_bright.jpg
		rgbGen wave sin 0.2 0.1 0 0.05
	     tcgen environment
	  	blendfunc add  //GL_DST_COLOR GL_ONE
	}
}


//thanks null
textures/spazz_toys/water_caulk
{
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
}





textures/spazz_toys/field
{

qer_editorimage textures/spazz_toys/field1a.tga

deformVertexes autoSprite2 //its 'most inportant"
qer_trans 0.70

surfaceparm nolightmap
surfaceparm nomarks
//surfaceparm nonsolid
surfaceparm noimpact
surfaceparm trans       
q3map_surfacelight 1000
cull none
{
animMap 50 textures/spazz_toys/field1a.tga textures/spazz_toys/field2a.tga textures/spazz_toys/field3a.tga textures/spazz_toys/field4a.tga  
//rgbGen wave <func> <base> <amp> <phase> <freq>
      rgbGen wave Inversesawtooth 0.3 0.9 0 5
    blendfunc add
	//tcMod turb 0.1 0.1 0.1 .1
}

}



textures/spazz_toys/signalbox_window
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	qer_trans 0.40

	qer_editorimage textures/spazz_toys/signalbox_window.tga
	{
		map textures/spazz_toys/signalbox_window.tga
		alphaFunc GE128
		rgbGen vertex
	}
	{
		map textures/spazz_toys/shine2.jpg
	      tcgen environment
		blendFunc add
	}



}


textures/spazz_toys/lamp
{
//surfaceparm alphashadow
surfaceparm nolightmap
surfaceparm trans
{
	map textures/spazz_toys/lamp.tga
		alphaFunc GE128
}

}

textures/spazz_toys/lamp2
{
surfaceparm nolightmap
//surfaceparm trans
surfaceparm alphashadow
{
map textures/spazz_toys/lamp2.tga
alphaFunc GE128
//rgbGen identity
}

}




// Generated by Frozen Sand Particle Studio
// Sun May 08 20:59:43 2011
// Use on a 128x128 unit brush face


textures/spazz_toys/steam
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 8 sawtooth 0 1 0 1.509
	deformvertexes move -192.726 222.019 0 sawtooth 0 1 0 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0 1.509
		alphagen const 0.2666
		tcMod rotate 23
		tcMod stretch sawtooth 0.2533 0.7467 0 1.509
	}
}

textures/spazz_toys/zzsteam_1
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 4 sawtooth 0 1 0.0693286 1.509
	deformvertexes move -181 213.632 0 sawtooth 0 1 0.0693286 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.0693286 1.509
		alphagen const 0.2666
		tcMod rotate 14
		tcMod stretch sawtooth 0.2533 0.7467 0.0693286 1.509
	}
}

textures/spazz_toys/zzsteam_2
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_3
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -3 sawtooth 0 1 0.128558 1.509
	deformvertexes move -177.699 209.877 0 sawtooth 0 1 0.128558 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.128558 1.509
		alphagen const 0.2666
		tcMod rotate 12
		tcMod stretch sawtooth 0.2533 0.7467 0.128558 1.509
	}
}

textures/spazz_toys/zzsteam_3
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_4
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -7 sawtooth 0 1 0.184493 1.509
	deformvertexes move -177.479 208.751 0 sawtooth 0 1 0.184493 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.184493 1.509
		alphagen const 0.2666
		tcMod rotate 13
		tcMod stretch sawtooth 0.2533 0.7467 0.184493 1.509
	}
}

textures/spazz_toys/zzsteam_4
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -3 sawtooth 0 1 0.23839 1.509
	deformvertexes move -189.028 221.245 0 sawtooth 0 1 0.23839 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.23839 1.509
		alphagen const 0.2666
		tcMod rotate 16
		tcMod stretch sawtooth 0.2533 0.7467 0.23839 1.509
	}
}

textures/spazz_toys/zzsteam_5
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_6
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 5 sawtooth 0 1 0.29082 1.509
	deformvertexes move -182.485 214.996 0 sawtooth 0 1 0.29082 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.29082 1.509
		alphagen const 0.2666
		tcMod rotate 25
		tcMod stretch sawtooth 0.2533 0.7467 0.29082 1.509
	}
}

textures/spazz_toys/zzsteam_6
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_7
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -10 sawtooth 0 1 0.342111 1.509
	deformvertexes move -180.239 212.967 0 sawtooth 0 1 0.342111 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.342111 1.509
		alphagen const 0.2666
		tcMod rotate 26
		tcMod stretch sawtooth 0.2533 0.7467 0.342111 1.509
	}
}

textures/spazz_toys/zzsteam_7
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_8
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -4 sawtooth 0 1 0.392473 1.509
	deformvertexes move -189.778 223.233 0 sawtooth 0 1 0.392473 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.392473 1.509
		alphagen const 0.2666
		tcMod rotate 14
		tcMod stretch sawtooth 0.2533 0.7467 0.392473 1.509
	}
}

textures/spazz_toys/zzsteam_8
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_9
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 1 sawtooth 0 1 0.442054 1.509
	deformvertexes move -179.69 209.493 0 sawtooth 0 1 0.442054 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.442054 1.509
		alphagen const 0.2666
		tcMod rotate 23
		tcMod stretch sawtooth 0.2533 0.7467 0.442054 1.509
	}
}

textures/spazz_toys/zzsteam_9
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_10
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 11 sawtooth 0 1 0.490961 1.509
	deformvertexes move -190.289 226.729 0 sawtooth 0 1 0.490961 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.490961 1.509
		alphagen const 0.2666
		tcMod rotate 25
		tcMod stretch sawtooth 0.2533 0.7467 0.490961 1.509
	}
}

textures/spazz_toys/zzsteam_10
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_11
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 10 sawtooth 0 1 0.539278 1.509
	deformvertexes move -177.677 209.895 0 sawtooth 0 1 0.539278 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.539278 1.509
		alphagen const 0.2666
		tcMod rotate 23
		tcMod stretch sawtooth 0.2533 0.7467 0.539278 1.509
	}
}

textures/spazz_toys/zzsteam_11
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_12
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -5 sawtooth 0 1 0.587069 1.509
	deformvertexes move -189.752 225.874 0 sawtooth 0 1 0.587069 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.587069 1.509
		alphagen const 0.2666
		tcMod rotate 14
		tcMod stretch sawtooth 0.2533 0.7467 0.587069 1.509
	}
}

textures/spazz_toys/zzsteam_12
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_13
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -5 sawtooth 0 1 0.634388 1.509
	deformvertexes move -182.868 210.714 0 sawtooth 0 1 0.634388 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.634388 1.509
		alphagen const 0.2666
		tcMod rotate 16
		tcMod stretch sawtooth 0.2533 0.7467 0.634388 1.509
	}
}

textures/spazz_toys/zzsteam_13
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_14
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -5 sawtooth 0 1 0.681278 1.509
	deformvertexes move -188.041 222.084 0 sawtooth 0 1 0.681278 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.681278 1.509
		alphagen const 0.2666
		tcMod rotate 18
		tcMod stretch sawtooth 0.2533 0.7467 0.681278 1.509
	}
}

textures/spazz_toys/zzsteam_14
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_15
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -4 sawtooth 0 1 0.727776 1.509
	deformvertexes move -183.746 217.858 0 sawtooth 0 1 0.727776 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.727776 1.509
		alphagen const 0.2666
		tcMod rotate 24
		tcMod stretch sawtooth 0.2533 0.7467 0.727776 1.509
	}
}

textures/spazz_toys/zzsteam_15
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_16
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 11 sawtooth 0 1 0.773913 1.509
	deformvertexes move -185.874 216.046 0 sawtooth 0 1 0.773913 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.773913 1.509
		alphagen const 0.2666
		tcMod rotate 16
		tcMod stretch sawtooth 0.2533 0.7467 0.773913 1.509
	}
}

textures/spazz_toys/zzsteam_16
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_17
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 6 sawtooth 0 1 0.819715 1.509
	deformvertexes move -192.146 223.841 0 sawtooth 0 1 0.819715 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.819715 1.509
		alphagen const 0.2666
		tcMod rotate 13
		tcMod stretch sawtooth 0.2533 0.7467 0.819715 1.509
	}
}

textures/spazz_toys/zzsteam_17
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_18
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 10 sawtooth 0 1 0.865206 1.509
	deformvertexes move -177.513 211.342 0 sawtooth 0 1 0.865206 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.865206 1.509
		alphagen const 0.2666
		tcMod rotate 22
		tcMod stretch sawtooth 0.2533 0.7467 0.865206 1.509
	}
}

textures/spazz_toys/zzsteam_18
{
	qer_editorimage textures/spazz_toys/steam.tga
	q3map_cloneshader textures/spazz_toys/zzsteam_19
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 -6 sawtooth 0 1 0.910405 1.509
	deformvertexes move -192.33 223.683 0 sawtooth 0 1 0.910405 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.910405 1.509
		alphagen const 0.2666
		tcMod rotate 15
		tcMod stretch sawtooth 0.2533 0.7467 0.910405 1.509
	}
}

textures/spazz_toys/zzsteam_19
{
	qer_editorimage textures/spazz_toys/steam.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 0 sawtooth 0 1 0.955331 1.509
	deformvertexes move -190.308 225.406 0 sawtooth 0 1 0.955331 1.509
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/spazz_toys/steam.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen wave sawtooth 2.8 -2.0667 0.955331 1.509
		alphagen const 0.2666
		tcMod rotate 23
		tcMod stretch sawtooth 0.2533 0.7467 0.955331 1.509
	}
}

textures/spazz_toys/photos
{
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm nomarks
polygonOffset	
	//qer_trans 0.40
  	qer_editorimage textures/spazz_toys/photo1.jpg
	

{
		map textures/spazz_toys/photo1.jpg 
		rgbgen vertex
}



}

textures/spazz_toys/pictureframe
{
qer_editorimage textures/spazz_toys/black.jpg

{
map textures/spazz_toys/black.jpg
}


{
map $lightmap
blendfunc gl_dst_color gl_src_color
}
} 


